summaryrefslogtreecommitdiffstats
path: root/scripts/autobuild-template
diff options
context:
space:
mode:
authorRobert Schwebel <r.schwebel@pengutronix.de>2006-03-09 21:09:41 +0000
committerRobert Schwebel <r.schwebel@pengutronix.de>2006-03-09 21:09:41 +0000
commit7fab9de3ad3b34abaeffb87ee728010ca9be9dee (patch)
treeea92038804a520a0fb1672608c2108e18a04ca05 /scripts/autobuild-template
parentca4a9fb441c760b0419ac2ea6d3cb15a7e106b67 (diff)
downloadptxdist-7fab9de3ad3b34abaeffb87ee728010ca9be9dee.tar.gz
ptxdist-7fab9de3ad3b34abaeffb87ee728010ca9be9dee.tar.xz
finished autobuild support
git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-0.10-trunk@5080 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'scripts/autobuild-template')
-rwxr-xr-xscripts/autobuild-template24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/autobuild-template b/scripts/autobuild-template
new file mode 100755
index 000000000..fa06746a8
--- /dev/null
+++ b/scripts/autobuild-template
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+echo "config............: `basename \`pwd\``" >&5
+echo "date..............: `date`" >&5
+echo "user..............: ${USER}@${HOSTNAME}" >&5
+
+PTX_STARTTIME=`date +"%s"`
+
+ln -sf /ptx/src
+ptxdist go
+
+PTX_RETVAL=$?
+
+PTX_STOPTIME=`date +"%s"`
+
+let "PTX_TIME=$PTX_STOPTIME-$PTX_STARTTIME"
+let "PTX_TIME_H=$PTX_TIME/3600"
+let "PTX_TIME_M=($PTX_TIME-$PTX_TIME_H*3600)/60"
+let "PTX_TIME_S=($PTX_TIME-$PTX_TIME_H*3600-$PTX_TIME_M*60)/60"
+
+echo "buildtime........: `${PTX_TIME_H}h${PTX_TIME_M}m${PTX_TIME_S}s`" >&5
+
+echo "result...........: ${PTX_RETVAL}" >&5
+